--[[ Entropy Zoomed 2 ]]

local MSQ = LibStub("Masque", true)
if not MSQ then return end

-- Silver
MSQ:AddSkin("Entropy Zoomed: Silver", {
	Author = "StormFX",
	Version = "2",
	Shape = "Square",
	Backdrop = {
		Width = 36,
		Height = 36,
		Texture = [[Interface\AddOns\Masque_Entropy_Zoomed\textures\Backdrop]],
	},
	Icon = {
		Width = 36,
		Height = 36,
		TexCoords = {0.07,0.93,0.07,0.93},
	},
	Flash = {
		Width = 36,
		Height = 36,
		Texture = [[Interface\Buttons\UI-QuickslotRed]],
	},
	Cooldown = {
		Width = 36,
		Height = 36,
	},
	Pushed = {
		Width = 36,
		Height = 36,
		Texture = [[Interface\Buttons\UI-Quickslot-Depress]],
	},
	Normal = {
		Width = 41,
		Height = 41,
		Static = true,
		Texture = [[Interface\AddOns\Masque_Entropy_Zoomed\textures\Normal]],
	},
	Disabled = {
		Hide = true,
	},
	Checked = {
		Width = 40,
		Height = 40,
		BlendMode = "ADD",
		Texture = [[Interface\Buttons\CheckButtonHilight]],
	},
	Border = {
		Width = 64,
		Height = 64,
		BlendMode = "ADD",
		Texture = [[Interface\Buttons\UI-ActionButton-Border]],
	},
	Highlight = {
		Width = 41,
		Height = 41,
		BlendMode = "ADD",
		Texture = [[Interface\Buttons\ButtonHilight-Square]],
	},
	AutoCast = {
		Width = 36,
		Height = 36,
		OffsetX = 0.5,
	},
	AutoCastable = {
		Width = 66,
		Height = 66,
		OffsetX = 0.5,
		OffsetY = -0.5,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Gloss = {
		Width = 41,
		Height = 41,
		Color = {1, 1, 1, 0.5},
		Texture = [[Interface\AddOns\Masque_Entropy_Zoomed\textures\Gloss]],
	},
	Name = {
		Width = 36,
		Height = 10,
		OffsetY = 1,
	},
	Count = {
		Width = 36,
		Height = 10,
		OffsetX = 1,
		OffsetY = 1,
	},
	HotKey = {
		Width = 36,
		Height = 10,
		OffsetY = -1,
	},
	Duration = {
		Width = 36,
		Height = 10,
		OffsetY = -3,
	},
	AutoCast = {
		Width = 34,
		Height = 34,
		OffsetX = 0.5,
		OffsetY = -0.5
	},
}, true)

-- Adamantite
MSQ:AddSkin("Entropy Zoomed: Adamantite", {
	Template = "Entropy Zoomed: Silver",
	Normal = {
		Width = 41,
		Height = 41,
		Static = true,
		Color = {0.7, 0.8, 0.9, 1},
		Texture = [[Interface\AddOns\Masque_Entropy_Zoomed\textures\Normal]],
	},
}, true)

-- Bronze
MSQ:AddSkin("Entropy Zoomed: Bronze", {
	Template = "Entropy Zoomed: Silver",
	Normal = {
		Width = 41,
		Height = 41,
		Static = true,
		Color = {1, 0.75, 0, 1},
		Texture = [[Interface\AddOns\Masque_Entropy_Zoomed\textures\Normal]],
	},
}, true)

-- Copper
MSQ:AddSkin("Entropy Zoomed: Copper", {
	Template = "Entropy Zoomed: Silver",
	Normal = {
		Width = 41,
		Height = 41,
		Static = true,
		Color = {0.75, 0.5, 0, 1},
		Texture = [[Interface\AddOns\Masque_Entropy_Zoomed\textures\Normal]],
	},
}, true)

-- Fel Iron
MSQ:AddSkin("Entropy Zoomed: Fel Iron", {
	Template = "Entropy Zoomed: Silver",
	Normal = {
		Width = 41,
		Height = 41,
		Static = true,
		Color = {0.75, 1, 0.75, 1},
		Texture = [[Interface\AddOns\Masque_Entropy_Zoomed\textures\Normal]],
	},
}, true)

-- Gold
MSQ:AddSkin("Entropy Zoomed: Gold", {
	Template = "Entropy Zoomed: Silver",
	Normal = {
		Width = 41,
		Height = 41,
		Static = true,
		Color = {1, 0.85, 0, 1},
		Texture = [[Interface\AddOns\Masque_Entropy_Zoomed\textures\Normal]],
	},
}, true)

-- Iron
MSQ:AddSkin("Entropy Zoomed: Iron", {
	Template = "Entropy Zoomed: Silver",
	Normal = {
		Width = 41,
		Height = 41,
		Static = true,
		Color = {0.5, 0.5, 0.5, 1},
		Texture = [[Interface\AddOns\Masque_Entropy_Zoomed\textures\Normal]],
	},
}, true)

-- Khorium
MSQ:AddSkin("Entropy Zoomed: Khorium", {
	Template = "Entropy Zoomed: Silver",
	Normal = {
		Width = 41,
		Height = 41,
		Static = true,
		Color = {1, 0.8, 0.9, 1},
		Texture = [[Interface\AddOns\Masque_Entropy_Zoomed\textures\Normal]],
	},
}, true)